Get manual time entriesGET
Description
Returns all manual time entries for the board belonging to the token filtered by a time period.
When filtering on a from-to timespan all entries whose start-end timespan intersects the filter timespan will be included.
See Get manual time entry by ID for details of included properties for each individual manual time entry.
Permissions
Request format
curl https://kanbanflow.com/api/v1/manual-time-entries?from=<TIMESTAMP>&to=<TIMESTAMP>&limit=<INTEGER>&userId=<USER_ID>
Example request
curl https://kanbanflow.com/api/v1/manual-time-entries?from=2023-01-01T00:00:00Z&to=2023-01-03T00:00:00Z&limit=100
Example response
[
{
"_id": "EyS84FdLk",
"createdTimestamp": "2023-01-02T12:50:00Z",
"startTimestamp": "2023-01-02T08:30:00Z",
"endTimestamp": "2023-01-02T12:00:00Z",
"userId": "UHJ9JgtA",
"taskId": "T3s6UGyzY"
},
{
"_id": "Eks4VwyRB",
"createdTimestamp": "2023-01-02T17:10:00Z",
"startTimestamp": "2023-01-02T13:00:00Z",
"endTimestamp": "2023-01-02T17:00:00Z",
"userId": "UHJ9JgtA",
"taskId": "T3s6UGyzY"
},
{
"_id": "E3VJU6yeb",
"createdTimestamp": "2023-01-03T12:50:00Z",
"startTimestamp": "2023-01-03T08:30:00Z",
"endTimestamp": "2023-01-03T12:00:00Z",
"userId": "UHJ9JgtA",
"taskId": "T3s6UGyzY"
}
]Valid parameters
| Parameter | Type | Comment |
|---|---|---|
| from | String | The start of the time period to get time entries for. Either from or to is required. If you want to give a timestamp for 1 January 2023 05:30 (UTC), you can either use 2023-01-01T05:30Z or 1672551000000 (time since epoch). |
| to | String | The end of the time period to get time entries for. Either from or to is required. If you want to give a timestamp for 1 January 2023 05:30 (UTC), you can either use 2023-01-01T05:30Z or 1672551000000 (time since epoch). |
| userId | String | Filter entries by user ID. |
| limit | Integer | The maximum number of time entries to retrieve. The highest value that can be used is 1000. Default: 100. |